body:has(#cart-menu[full]) {
    overflow: hidden;
}

#cart-menu {
    padding: 2rem;
    
    position: fixed;
    top: 0;
    right: calc(-352px - 4rem);
    
    width: min(350px, calc(100% - 4rem));
    height: 100%;
    overflow-y: auto;
    
    background-color: var(--white);
    border-inline: 2px solid var(--black);
    z-index: 20;
    
    transition: right 0.3s;
}

#cart-menu.visible {
    right: 0;
}

.cart-menu-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cart-menu-heading {
    font-family: "Zilla Slab", serif;
    font-size: 2rem;
}

#cart-loading-icon {
    margin-block-start: 1rem;
    
    display: none;
    justify-content: center;
    align-items: center;
}

#cart {
    margin-block-start: 2rem;
    
    user-select: none;
}

.empty_cart_message {
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
    text-align: center;
}

.cart-item {
    margin-block-end: 2rem;
    
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
}

.cart-item-front, .cart-item-back {
    display: flex;
    justify-content: flex-start;
}

.cart-item-front {
    gap: 1rem;
}

.cart-item-back {
    gap: 0.5rem;
}

.delete-item-btn {
    color: var(--red);
}

[id^='item-quantity'] {
    min-width: 2rem;
    text-align: center;
}

#checkout-btn {
    margin-block: 0.75rem 4rem;
    
    width: 100%;
}

/* sticky cart btn */

#sticky-cart-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    
    position: fixed;
    right: 3vw;
    bottom: 4vw;
    
    width: 75px;
    height: 75px;
    
    background-color: var(--primary-color);
    border: 2px solid var(--white);
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#sticky-cart-btn-overlay {
    padding: 0.1rem;
    
    display: none;
    justify-content: center;
    align-items: flex-end;
    
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    
    width: 1.3rem;
    height: 1.3rem;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
    color: var(--white);
    
    background-color: var(--red);
    border: 2px solid var(--white);
    border-radius: 50%;
}

